﻿@import url(/assets/css/base-style.css);
@import url(/assets/css/header.css);
@import url(/assets/css/footer.css);

.teacher-box {
    padding-top: 3rem;
    padding-bottom: 3rem;
    margin-bottom: 3rem;
}

    .teacher-box h2 {
        font-size: 30px;
        margin-bottom: 1em;
    }

.card-box {
    background: var(--bg-white);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    direction: rtl;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px, rgba(0, 0, 0, 0.06) 0px 2px 4px -1px;
    height: 400px;
    overflow: hidden;
}

    .card-box .animated-bg {
        animation: slide 3s ease-in-out infinite alternate;
        background-image: linear-gradient(0deg, var(--primary-color-ultra-transparent) 30%, var(--primary-color-high-transparent) 80% );
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: -50%;
        opacity: 0.5;
        z-index: 0;
        -webkit-mask-image: linear-gradient( to right, transparent 0%, black 20%, black 100% );
        mask-image: linear-gradient( to right, transparent 0%, black 20%, black 100% );
    }

        .card-box .animated-bg .second-bg {
            animation-direction: alternate-reverse;
            animation-duration: 4s;
        }

        .card-box .animated-bg .third-bg {
            animation-duration: 5s;
        }

    .card-box .card-thumb-wrapper {
        flex: 0 0 50%;
        height: 100%;
        position: relative;
        overflow: hidden;
    }

        .card-box .card-thumb-wrapper .thumb {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100%;
            padding: 2rem;
        }

    .card-box img {
        width: 100%;
        max-width: 100%;
        height: 100%;
        object-fit: contain;
        transition: 0.5s;
        position: relative;
    }

        .card-box img:hover {
            transform: scale(1.1);
            cursor: pointer;
        }

    .card-box .card-box-inner {
        width: 100%;
        padding: 25px 15px;
    }

        .card-box .card-box-inner h6 {
            font-size: 22px;
            font-weight: 900;
            margin-top: 0.5em;
            margin-bottom: 2rem;
        }

        .card-box .card-box-inner a.show-full-info {
            display: block;
            color: var(--primary-color);
            margin-bottom: 0.5rem;
            font-weight: 700;
        }

        .card-box .card-box-inner .introduction-text {
            background-color: var(--bg-color);
            margin-top: 1rem;
            margin-bottom: 1rem;
            padding: 1rem;
            overflow: hidden;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 5;
        }

            .card-box .card-box-inner .introduction-text p,
            .card-box .card-box-inner .introduction-text h1,
            .card-box .card-box-inner .introduction-text h2,
            .card-box .card-box-inner .introduction-text h3,
            .card-box .card-box-inner .introduction-text h4,
            .card-box .card-box-inner .introduction-text h5,
            .card-box .card-box-inner .introduction-text h6,
            .card-box .card-box-inner .introduction-text strong {
                font-size: 14px !important;
                font-weight: 500 !important;
            }

    .card-box .card-bottom-info {
        display: flex;
        justify-content: space-between;
        width: 100%;
        padding: 1rem 15px;
        border-top: 1px solid var(--white-smoke-color);
        max-height: 55px;
        height: 55px;
    }

        .card-box .card-bottom-info span {
            color: var(--text-gray-color);
            font-size: 14px;
            flex: 1 1 auto !important;
            text-align: center;
            border-left: 1px solid var(--white-smoke-color);
        }

            .card-box .card-bottom-info span:last-child {
                border: none;
            }

@keyframes slide {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(25%);
    }
}
